function init(hero) {
    hero.setName("Cisco Ramon CW/Vibe");
    hero.setTier(2);
    
    hero.setHelmet("Glasses");
    hero.setChestplate("item.superhero_armor.piece.jacket");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:teleportation", "fiskheroes:canary_cry");
    hero.addAttribute("FALL_RESISTANCE", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 2.0, 0);

    hero.addKeyBind("AIM", "key.shoot", 1);
	hero.addKeyBind("TELEPORT", "key.teleport", 2);   
    hero.addKeyBind("CANARY_CRY", "Vibrational Blasts", 3);

    hero.supplyFunction("canAim", canAim);
	
    hero.setModifierEnabled(isModifierEnabled);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function isModifierEnabled(entity, modifier) {
    switch (modifier) {
    case "fiskheroes:teleportation":
        return entity.getData("fiskheroes:aiming");
    case "fiskheroes:canary_cry":
        return entity.getData("fiskheroes:aiming");
    default:
        return false;
    }
}